Subject: bug#24588: closed (Re: bug#24555: [PATCH] Remove unused variable `command-debug-status')

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Oct 2016 14:44:02 +0000

Your bug report

#24555: [PATCH 1/2] Restore command-debug-status functionality

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24555: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24555
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24555: [PATCH] Remove unused variable `command-debug-status'
From: Eli Zaretskii <[email-masked]>
To: Philippe Vaucher <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 04 Oct 2016 17:43:18 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Philippe Vaucher <[email-masked]>
> Date: Mon, 3 Oct 2016 09:42:14 +0200
> Cc: Stefan Monnier <[email-masked]>, [email-masked]
> 
> And again new patches without a typo :-)

Thanks, I pushed this to the emacs-25 branch, and I'm marking this
bug done.

Please note that your patch had a fatal flaw: specbind needs a
(quoted) symbol, not its value.  Using Vcommand_debug_status there
produced a broken binary that would display an error message and
become unresponsive.  See what I actually committed for the details.

Also, the obsolescence warning needed some minor tweaks (it turns out
that my advice to prepend a semi-colon was a bad idea, as a semi-colon
and a newline are produced by Emacs automatically).

Please always test the build after you patch it, to make sure the
behavior is correct and no bugs creep in.

Finally, in the future please provide commit log messages for the
changes formatted in the ChanegLog style, as described in CONTRIBUTE.
I wrote them for this commit, please see the commit for the details of
the formatting we use.

Thanks a lot for working on this.

Subject: [PATCH 1/2] Restore command-debug-status functionality
From: Philippe Vaucher <[email-masked]>
To: [email-masked]
Date: Sun, 2 Oct 2016 18:59:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

---
 src/callint.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/src/callint.c b/src/callint.c
index 053ee6c..4652151 100644
--- a/src/callint.c
+++ b/src/callint.c
@@ -837,7 +837,10 @@ invoke it.  If KEYS is omitted or nil, the return value of
   kset_last_command (current_kboard, save_last_command);
 
   {
-    Lisp_Object val = Ffuncall (nargs, args);
+    Lisp_Object val;
+    specbind (Vcommand_debug_status, Qnil);
+
+    val = Ffuncall (nargs, args);
     val = unbind_to (speccount, val);
     SAFE_FREE ();
     return val;
-- 
2.10.0